<html>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
</head>
<body>
<style type='text/css'>
#tableData {
    border-collapse: collapse;
}
#tableData thead th {
  border: 1px solid #000;
  padding: 5px;
  cursor: pointer;
  background-color: #6ed3f3;
}
#tableData thead th:hover {
  color: blue;
}
#tableData tbody td {
  border: 1px solid #000;
  padding: 5px;
}
#tableData tbody tr:hover {
  background-color: #f3fbfd;
}
</style>
<table id='tableData'>
  <caption><h2>ТОО Oil Construction Company</h2></caption>
  <thead>
    <tr>
      <th data-type='number'>№</th>
      <th data-type='string'>Блоки проблем</th>
      <th data-type='number'>Неудовлетворенность работников<br>различными компонентами работы<br>на предприятии (анкета)</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td align='center'>1</td>
      <td>Жилищные условия</td>
      <td align='center'>777</td>
    </tr>
    <tr>
      <td align='center'>2</td>
      <td>Служебный транспорт</td>
      <td align='center'>234</td>
    </tr>
    <tr>
      <td align='center'>3</td>
      <td>Общественное питание</td>
      <td align='center'>456</td>
    </tr>
    <tr>
      <td align='center'>4</td>
      <td>Оснащение рабочего места</td>
      <td align='center'>343</td>
    </tr>
    <tr>
      <td align='center'>5</td>
      <td>Качество и наличие СИЗ</td>
      <td align='center'>235</td>
    </tr>
    <tr>
      <td align='center'>6</td>
      <td>Условия и безопасность труда</td>
      <td align='center'>988</td>
    </tr>
    <tr>
      <td align='center'>7</td>
      <td>Заработная плата и система мотивации</td>
      <td align='center'>2045</td>
    </tr>
    <tr>
      <td align='center'>8</td>
      <td>Карьерный рост, повышение квалификации</td>
      <td align='center'>152</td>
    </tr>
    <tr>
      <td align='center'>9</td>
      <td>Социальный пакет</td>
      <td align='center'>235</td>
    </tr>
    <tr>
      <td align='center'>10</td>
      <td>Содержание работы</td>
      <td align='center'>585</td>
    </tr>
    <tr>
      <td align='center'>11</td>
      <td>Внутренние служебные коммуникации</td>
      <td align='center'>324</td>
    </tr>
    <tr>
      <td align='center'>12</td>
      <td>Организация досуга</td>
      <td align='center'>453</td>
    </tr>
  </tbody>
</table>
<script>
var grid = document.getElementById('tableData');
grid.onclick = function(e){
  if (e.target.tagName != 'TH') return;
  sortGrid(e.target.cellIndex, e.target.getAttribute('data-type'));
};
function sortGrid(colNum, type) {
  var tbody = grid.getElementsByTagName('tbody')[0];
  var rowsArray = [].slice.call(tbody.rows);
  var compare;
  switch (type) {
    case 'number':
    compare = function(rowA, rowB) {
      return rowA.cells[colNum].innerHTML - rowB.cells[colNum].innerHTML;
    };
    break;
    case 'string':
    compare = function(rowA, rowB) {
      return rowA.cells[colNum].innerHTML > rowB.cells[colNum].innerHTML ? 1 : -1;
    };
    break;
  }
  rowsArray.sort(compare);
  grid.removeChild(tbody);
  for (var i = 0; i < rowsArray.length; i++) {
    tbody.appendChild(rowsArray[i]);
  }
  grid.appendChild(tbody);
}
</script>
</body>
</html>
